html {
    height: 100%;
}

body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-family: "Verdana";
    font-size: 15px;
    margin: 0 auto;
    max-width: 1280px;
    background-color: #fff;
    box-shadow: 0 0 15px -5px #000;
}

main {
    padding: 20px 50px 30px;
}
header > .title, footer {
    padding: 15px 20px;
}
header > .title > h1 {
    margin: 0;
    color: #555;
}
header > img.bar {
    display: block;
    width: 100%;
    max-height: 10px;
}
main {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
header, footer {
    background: #e6e6e6;
}
footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 0.9em;
    color: #555;
    border-top: 1px solid #ccc;
}

a {
    color: #509E2F;
    text-decoration: none;
}

.demo {
    margin-top: 2em;
    padding-bottom: 2em;
    border-bottom: 1px solid #AAA;
}
.demo:first-of-type {
    margin-top: 0;
}
.demo:last-of-type  {
    margin-bottom: 0;
    padding-bottom: 1em;
    border-bottom: none;
}
.demo > h2 {
    background: linear-gradient(
        to right,
        rgba(147,147,147,0.3) 0%,
        rgba(0,0,0,0) 100%
    );
    padding: 12px 16px;
    color: #545559;
    margin: 0 0 15px;
    font-weight: bold;
    border-radius: 0.25em;
}
.demo > .description {
    display: flex;
    justify-content: flex-start;
    margin: -10px;
    padding-left: 15px;
}
.demo > .description > * {
    margin: 10px;
}
.description > .preview {
    flex: 2;
}
.description > .text {
    flex: 3;
    line-height: 1.4;
}
.description > .text > p:first-of-type {
    margin-top: 0;
}
.description > .text > p:last-of-type {
    margin-bottom: 0;
}
.preview img {
    max-width: 100%;
    border-radius: 0.25em;
}
.description .text > p.open-link {
    margin-top: 30px;
    font-size: 1.75em;
    font-weight: bold;
}

@media (max-width: 800px)
{
    main {
        padding: 25px 20px;
    }
    .demo > .description {
        flex-direction: column;
        margin: -5px;
    }
    .demo > .description > * {
        margin: 5px;
    }
    .description > .preview {
        flex: initial;
    }
    .description > .text {
        flex: initial;
    }
}
